## ros-noetic-smach-msgs 2.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(smach_msgs)

find_package(catkin REQUIRED COMPONENTS 
  message_generation std_msgs)

add_message_files(FILES
  SmachContainerInitialStatusCmd.msg
  SmachContainerStructure.msg
  SmachContainerStatus.msg)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime)

## ros-noetic-smach-msgs 2.5.1

=== debian/changelog ===
ros-noetic-smach-msgs (2.5.1-1buster) buster; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Wed, 15 Feb 2023 05:00:00 -0000

ros-noetic-smach-msgs (2.5.0-1buster) buster; urgency=high

  * Python 3 compatibility #71 <https://github.com/ros/executive_smach/issues/71>
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Shane Loretz, ahcorde

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 14 May 2020 04:00:00 -0000

ros-noetic-smach-msgs (2.0.1-1buster) buster; urgency=high

  * [maintenance] Update maintainer. switching to package.xml format 2
  * Contributors: Isaac I.Y. Saito, Jonathan Bohren

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 08 Jun 2017 04:00:00 -0000

ros-noetic-smach-msgs (2.0.0-1buster) buster; urgency=high

  * cleaning up and removing rosbuild support
  * merging groovy and hydro
  * Add explanations within message definitions
  * Contributors: Felix Kolbe, Jonathan Bohren

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 17 Apr 2014 04:00:00 -0000

ros-noetic-smach-msgs (1.3.1-1buster) buster; urgency=high

  * adding changelogs
  * Updating maintainer name
  * Updating maintainer name

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Mon, 22 Jul 2013 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-smach-msgs
Section: misc
Priority: optional
Maintainer: Isaac I. Y. Saito <gm130s@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-smach-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: this package contains a set of messages that are used by the introspection interfaces for smach.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-smach-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-smach-msgs 2.5.2

=== debian/changelog ===
ros-noetic-smach-msgs (2.5.2-1focal) focal; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Tue, 13 Jun 2023 04:00:00 -0000

ros-noetic-smach-msgs (2.5.1-1focal) focal; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Wed, 15 Feb 2023 05:00:00 -0000

ros-noetic-smach-msgs (2.5.0-1focal) focal; urgency=high

  * Python 3 compatibility #71 <https://github.com/ros/executive_smach/issues/71>
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Shane Loretz, ahcorde

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 14 May 2020 04:00:00 -0000

ros-noetic-smach-msgs (2.0.1-1focal) focal; urgency=high

  * [maintenance] Update maintainer. switching to package.xml format 2
  * Contributors: Isaac I.Y. Saito, Jonathan Bohren

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 08 Jun 2017 04:00:00 -0000

ros-noetic-smach-msgs (2.0.0-1focal) focal; urgency=high

  * cleaning up and removing rosbuild support
  * merging groovy and hydro
  * Add explanations within message definitions
  * Contributors: Felix Kolbe, Jonathan Bohren

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 17 Apr 2014 04:00:00 -0000

ros-noetic-smach-msgs (1.3.1-1focal) focal; urgency=high

  * adding changelogs
  * Updating maintainer name
  * Updating maintainer name

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Mon, 22 Jul 2013 04:00:00 -0000
